aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/ipv6/ds-lite/files/dslite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/ipv6/ds-lite/files/dslite.sh')
-rwxr-xr-xpackage/network/ipv6/ds-lite/files/dslite.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/package/network/ipv6/ds-lite/files/dslite.sh b/package/network/ipv6/ds-lite/files/dslite.sh
index f4efa1c4c3..670f93cd6e 100755
--- a/package/network/ipv6/ds-lite/files/dslite.sh
+++ b/package/network/ipv6/ds-lite/files/dslite.sh
@@ -14,8 +14,8 @@ proto_dslite_setup() {
local iface="$2"
local link="dslite-$cfg"
- local mtu ttl peeraddr ip6addr tunlink zone
- json_get_vars mtu ttl peeraddr ip6addr tunlink zone
+ local mtu ttl peeraddr ip6addr tunlink zone weakif
+ json_get_vars mtu ttl peeraddr ip6addr tunlink zone weakif
[ -z "$peeraddr" ] && {
proto_notify_error "$cfg" "MISSING_ADDRESS"
@@ -33,8 +33,11 @@ proto_dslite_setup() {
fi
if ! network_get_ipaddr6 ip6addr "$wanif"; then
- proto_notify_error "$cfg" "NO_WAN_LINK"
- return
+ [ -z "$weakif" ] && weakif="lan"
+ if ! network_get_ipaddr6 ip6addr "$weakif"; then
+ proto_notify_error "$cfg" "NO_WAN_LINK"
+ return
+ fi
fi
}
@@ -72,6 +75,7 @@ proto_dslite_init_config() {
proto_config_add_int "mtu"
proto_config_add_int "ttl"
proto_config_add_string "zone"
+ proto_config_add_string "weakif"
}
[ -n "$INCLUDE_ONLY" ] || {